Subject: Re: [PATCH 2/2] [e1000 VLAN] Disable vlan hw accel when promiscuous mode

From: Patrick McHardy <[email-masked]>
Date: Tue, 13 Nov 2007 11:21:39 +0100

Joonwoo Park wrote:
> 2007/11/13, David Miller <[email-masked]>:
>   
>> From: Willy Tarreau <[email-masked]>
>> Date: Tue, 13 Nov 2007 00:32:57 +0100
>>
>>     
>>> At least, being able to disable the feature at module load time
>>> would be acceptable. Many people who often need to sniff on decent
>>> machines would always keep it disabled.
>>>       
>> I'm willing to accept the feature, in whatever form, as long
>> as the performance issue is dealt with properly.
>>     
>
> I agree with disabling the hw acceleration feature by manually would
> be a non-negative solution.
> IMO implementation in the ethtool seems better than module param.
> As like Auke mentioned.
> If you guys confirm it, I'll try it.
>   

I still think promiscous mode should disable all filters (which would
also provide a consistent view between accerlated and non-accerlated
devices), but an ethtool option is better than nothing :)